
package de.ivu.elect.presentation.wahlvorschlagsperson.action;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.UnterzeichnerEditView;

public class UnterzeichnerEditAction extends AbstractWahlvorschlagsPersonEditAction {

  private static final long serialVersionUID = 1L;

  public UnterzeichnerEditAction() {
    super();
  }

  @Override
  protected boolean isWahlvorschlagsPersonTypApplicable(WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp) {
    return WahlvorschlagsPersonTyp.UNTERZEICHNER.equals(wahlvorschlagsPersonTyp);
  }

  @Override
  protected String getTargetViewId() {
    return UnterzeichnerEditView.VIEW_ID;
  }
}
